Home Help Center

IcePHP on Apache 2 problem

supasteevosupasteevo Member Bressey StevenOrganization: AlmaProject: use Ice with mumble server
Hello,

I have an apache2 server running with php5 on an Ubuntu 9.04 workstation.
I installed IcePHP via the official repository and configured php5 to use the IcePHP extension.
When apache2 starts I get the following error :
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20060613+lfs/IcePHP.so' - libIce.so.32: cannot open shared object file: No such file or directory in Unknown on line 0

Do you have any idea what the problem is ?

Thank you for your support.

Comments

  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    IcePHP.so depends on the libIce.so.32 shared library and it looks like this library isn't installed or found by apache2.

    Which version of IcePHP do you have installed? libIce.so.32 is from Ice 3.2.x and from looking at the Ubuntu 9.04 package list, it should be Ice 3.3.0 instead. Did you download Ice from the right repository?

    According to Ubuntu -- Details of package php-zeroc-ice in jaunty, the libIce shared library is in the libzeroc-ice33 package.

    Cheers,
    Benoit.
Sign In or Register to comment.